Node('cfg/main/ma7two.cfg',
     '6.8 Tesla horizontal cryomagnet with two heater loops',
     interface='5000',
     name='ma7two',
)

Mod('sea_main',
    'secop_psi.sea.SeaClient',
    'main sea connection for ma7two.config',
    config='ma7two.config',
    service='main',
)

Mod('tt',
    'secop_psi.sea.SeaDrivable', '',
    io='sea_main',
    sea_object='tt',
)

Mod('cc',
    'secop_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='cc',
)

Mod('nv',
    'secop_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='nv',
)

Mod('hefill',
    'secop_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='hefill',
)

Mod('hepump',
    'secop_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='hepump',
)

Mod('hemot',
    'secop_psi.sea.SeaDrivable', '',
    io='sea_main',
    sea_object='hemot',
)

Mod('nvflow',
    'secop_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='nvflow',
)

Mod('ln2fill',
    'secop_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='ln2fill',
)

Mod('mf',
    'secop_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='mf',
)

Mod('lev',
    'secop_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='lev',
)

Mod('tcoil1',
    'secop_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='tcoil',
    rel_paths=['ta'],
)

Mod('tcoil2',
    'secop_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='tcoil',
    rel_paths=['tb'],
)

Mod('table',
    'secop_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='table',
)

Mod('om_io',
    'secop_psi.phytron.PhytronIO',
    'dom motor IO',
    uri='ma7-ts.psi.ch:3007',
)

Mod('om',
    'secop_psi.phytron.Motor',
    'stick rotation',
    io='om_io',
    encoder_mode='CHECK',
)
